package cn.bunny.pattern2.demo1.duck;

import cn.bunny.pattern2.demo1.behavior.fly.FlyNoWay;
import cn.bunny.pattern2.demo1.behavior.quack.MuteQuack;

public class ModelDuck extends AbstractDuck {

    private final String modelDuck = "橡皮🦆";

    public ModelDuck() {
        super.setFlyBehavior(new FlyNoWay());
        super.quackBehavior = new MuteQuack();
    }

    /**
     * 展示什么类型的鸭子
     */
    @Override
    public void display() {
        System.out.println(modelDuck + "...");
    }

    /**
     *
     */
    @Override
    public void swim() {
        System.out.println(modelDuck + "不会游泳。。。");
    }
}
